DirectBufferedImage.Type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jagatoo.image
Enum DirectBufferedImage.Type

    java.lang.Object
      java.lang.Enum<DirectBufferedImage.Type>
          org.jagatoo.image.DirectBufferedImage.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DirectBufferedImage.Type>

Enclosing class:
  DirectBufferedImage

    public static enum DirectBufferedImage.Type

extends java.lang.Enum<DirectBufferedImage.Type>

Enum Constant Summary
`DIRECT_ONE_BYTE`
`DIRECT_RGB`
`DIRECT_RGBA`
`DIRECT_TWO_BYTES`

Method Summary
`static DirectBufferedImage.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DirectBufferedImage.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DIRECT_RGB

    public static final DirectBufferedImage.Type DIRECT_RGB

### DIRECT_RGBA

    public static final DirectBufferedImage.Type DIRECT_RGBA

### DIRECT_TWO_BYTES

    public static final DirectBufferedImage.Type DIRECT_TWO_BYTES

### DIRECT_ONE_BYTE

    public static final DirectBufferedImage.Type DIRECT_ONE_BYTE

Method Detail

### values

    public static DirectBufferedImage.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DirectBufferedImage.Type c : DirectBufferedImage.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DirectBufferedImage.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD